 uses
   crt, uFilter;

 var
   pByte:pFilterByte;
   pByteSuma:pFilterSumaByte;
   b:byte;
 begin
   clrscr;

   pByte:=new(pFilterByte,Init);
   if pByte=nil then RunError(203);
   with pByte^ do
   begin
     FSetParam('CT=5 IBY=65'); {nastavi parametr CT na 5 a IBY na 65}
     writeln(fGetParam);

     b:=FreadVal(b); {vyvola metodu objektu pByte - FreadVal}

   end;

   pByteSuma:=new(pFilterSumaByte, Init);
   if pByteSuma=nil then RunError(203);
   with pByteSuma^ do
   begin
     FSetParam('M=0.5 IBY=200 MUL=10'); { nastavi hodnotu parametru: M=0.5,
                                          IBY=200 MUL=10}
     writeln(fGetParam);

     b:=FreadVal(b); {vyvola metodu objektu pByteSuma - FreadVal}

   end;

end.